#orcamentoOverlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
  z-index: 999;
  display: none;
}

.modal-orcamento {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 90%;
  max-width: 900px;
  height: 90vh;

  background: #fff;
  border-radius: 16px;

  z-index: 1000;

  display: none;
  flex-direction: column;
}

.modal-orcamento.active {
  display: flex;
}

.modal-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  padding: 30px;
  overflow: hidden;
}

.orcamento-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 12px;
  margin-bottom: 20px;
}

.orcamento-grid input {
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ccc;
}

.produto-add {
  display: flex;
  gap: 10px;
  margin-bottom: 15px;
}

.produto-add select,
.produto-add input {
  padding: 10px;
}

.tabela-scroll {
  flex: 1;
  overflow-y: auto;
  border-radius: 8px;
  margin-bottom: 15px;
}

.tabela-produtos {
  width: 100%;
  border-collapse: collapse;
}

.tabela-produtos th,
.tabela-produtos td {
  border: 1px solid #ddd;
  padding: 10px;
  text-align: center;
}

.tabela-produtos th {
  background: #0a3d91;
  color: #fff;
}

.btn-add {
  padding: 10px 18px;
  border-radius: 8px;
  background: #0a3d91;
  color: #fff;
  border: none;
  cursor: pointer;
}

.btn-remove {
  background: #e74c3c;
  border: none;
  color: #fff;
  padding: 6px 14px;
  border-radius: 6px;
  cursor: pointer;
}

.btn-remove:hover {
  background: #c0392b;
}

.btn-enviar {
  width: 100%;
  padding: 14px;
  border-radius: 10px;
  background: linear-gradient(135deg, #27ae60, #2ecc71);
  color: #fff;
  border: none;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
}

.tabela-scroll {
  overflow-y: auto;
  max-height: 25vh;
  border-radius: 8px;
  margin-bottom: 15px;
}


@media (max-width: 768px) {
  .hero-text .btn {
    display: none !important;
  }

  .modal-orcamento {
    display: none !important;
  }

  .orcamento-grid {
    grid-template-columns: 1fr;
  }

  .produto-add {
    flex-direction: column;
  }
}